Subject: Re: [PATCH v2 2/2] doc: git-worktree: Add side by side branch checkout example

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Jan 2026 12:38:44 -0800

Eric Sunshine <[email-masked]> writes:

> On Tue, Nov 18, 2025 at 7:01 AM Michal Suchánek <[email-masked]> wrote:
>> On Fri, Oct 24, 2025 at 12:57:42PM -0400, Eric Sunshine wrote:
>> > Sorry, I mistyped that. What I meant was:
>> >
>> >     $ git -C myproj.git worktree add ../feature-a
>> >
>> > which makes the worktrees siblings of the bare repository.
>>
>> and requires the mental gymnastics of adjusting the paths passed to the
>> command based on -C argument. Does not sound like a good example how to
>> use the command.
>
> Fair enough. I happen to find the above easy to reason about, but I
> get your point, as well.
>
> So the remaining actionable bit from the review[*] regards spelling
> out in prose that hanging worktrees off of a bare repository is an
> explicitly supported mode of operation.
>
> [*]: https://lore.kernel.org/git/CAPig+cSNesf0UwS4=[email-masked]/

The discussion stalled after the above message, and the topic has
been dormant for full two months.  I'd drop the topic from 'seen'
soonish but that does not mean an improved version of this patch is
unwelcome.

Thanks.